#import <AppKit/AppKit.h>
#import "WGOptionController.h"
#import "WGStandardOptionController.h"
#import "WGDownloadOptionController.h"
#import "WGPermissionOptionController.h"

@interface WGController : NSObject
{
    id downloadController;
    id downloadView;
    id permissionsController;
    id permissionsView;
    id process;
    id standardController;
    id standardView;
    id tabView;
    id window;
    id parent;

    id filename;

    NSTabViewItem		*permissionsTabViewItem;
    NSTabViewItem		*standardTabViewItem;
    NSTabViewItem		*downloadTabViewItem;
    
    BOOL		closing;

}

- (NSArray *)optionsForRun;
- (NSArray *)urlsForRun;
- (void)loadFromDictionary:(NSDictionary *)aDict;
- (void)setFilename:(NSString *)aFilename;
- (void)setParent:(id)aParent;

- (void)setDirty:(id)sender;

- (void)saveDocument:(id)sender;
- (void)saveDocumentAs:(id)sender;
- (void)saveToFile:(NSString *)filePath;

- (void)closeWindow;

- (NSWindow *)window;

// accessors
- (id)standardController;

- (id)permissionsController;

- (id)downloadController;


@end
